# H281_Frame Class Reference

`#include <h281.h>`

Inheritance diagram for H281_Frame:

[legend]
Collaboration diagram for H281_Frame:
[legend]

## Public Types

| IllegalRequest = 0x00
| StartAction = 0x01
| ContinueAction = 0x02
| StopAction = 0x03
| SelectVideoSource = 0x04
| VideoSourceSwitched = 0x05
| StoreAsPreset = 0x07
| ActivatePreset = 0x08
| NoPan = 0x00
| IllegalPan = 0x40
| PanLeft = 0x80
| PanRight = 0xc0
| NoTilt = 0x00
| IllegalTilt = 0x10
| TiltDown = 0x20
| TiltUp = 0x30
| NoZoom = 0x00
| IllegalZoom = 0x04
| ZoomOut = 0x08
| ZoomIn = 0x0c
| NoFocus = 0x00
| IllegalFocus = 0x01
| FocusOut = 0x02
| FocusIn = 0x03
| MotionVideo = 0x00
| IllegalVideoMode = 0x01
| NormalResolutionStillImage = 0x02
| DoubleResolutionStillImage = 0x03
enum | RequestType { IllegalRequest = 0x00, StartAction = 0x01, ContinueAction = 0x02, StopAction = 0x03, SelectVideoSource = 0x04, VideoSourceSwitched = 0x05, StoreAsPreset = 0x07, ActivatePreset = 0x08 }
enum | PanDirection { NoPan = 0x00, IllegalPan = 0x40, PanLeft = 0x80, PanRight = 0xc0 }
enum | TiltDirection { NoTilt = 0x00, IllegalTilt = 0x10, TiltDown = 0x20, TiltUp = 0x30 }
enum | ZoomDirection { NoZoom = 0x00, IllegalZoom = 0x04, ZoomOut = 0x08, ZoomIn = 0x0c }
enum | FocusDirection { NoFocus = 0x00, IllegalFocus = 0x01, FocusOut = 0x02, FocusIn = 0x03 }
enum | VideoMode { MotionVideo = 0x00, IllegalVideoMode = 0x01, NormalResolutionStillImage = 0x02, DoubleResolutionStillImage = 0x03 }

## Public Member Functions

| H281_Frame ()
| ~H281_Frame ()
RequestType | GetRequestType () const
void | SetRequestType (RequestType requestType)
PanDirection | GetPanDirection () const
void | SetPanDirection (PanDirection direction)
TiltDirection | GetTiltDirection () const
void | SetTiltDirection (TiltDirection direction)
ZoomDirection | GetZoomDirection () const
void | SetZoomDirection (ZoomDirection direction)
FocusDirection | GetFocusDirection () const
void | SetFocusDirection (FocusDirection direction)
BYTE | GetTimeout () const
void | SetTimeout (BYTE timeout)
BYTE | GetVideoSourceNumber () const
void | SetVideoSourceNumber (BYTE videoSourceNumber)
VideoMode | GetVideoMode () const
void | SetVideoMode (VideoMode videoMode)
BYTE | GetPresetNumber () const
void | SetPresetNumber (BYTE presetNumber)

## Member Enumeration Documentation

enum H281_Frame::FocusDirection

Enumerator:

  NoFocus |
  IllegalFocus |
  FocusOut |
  FocusIn |

enum H281_Frame::PanDirection

Enumerator:

  NoPan |
  IllegalPan |
  PanLeft |
  PanRight |

enum H281_Frame::RequestType

Enumerator:

  IllegalRequest |
  StartAction |
  ContinueAction |
  StopAction |
  SelectVideoSource |
  VideoSourceSwitched |
  StoreAsPreset |
  ActivatePreset |

enum H281_Frame::TiltDirection

Enumerator:

  NoTilt |
  IllegalTilt |
  TiltDown |
  TiltUp |

enum H281_Frame::VideoMode

Enumerator:

  MotionVideo |
  IllegalVideoMode |
  NormalResolutionStillImage |
  DoubleResolutionStillImage |

enum H281_Frame::ZoomDirection

Enumerator:

  NoZoom |
  IllegalZoom |
  ZoomOut |
  ZoomIn |

## Constructor & Destructor Documentation

H281_Frame::H281_Frame | ( |  | ) |

H281_Frame::~H281_Frame | ( |  | ) |

## Member Function Documentation

FocusDirection H281_Frame::GetFocusDirection | ( |  | ) | const

PanDirection H281_Frame::GetPanDirection | ( |  | ) | const

BYTE H281_Frame::GetPresetNumber | ( |  | ) | const

RequestType H281_Frame::GetRequestType | ( |  | ) | const`[inline]`

TiltDirection H281_Frame::GetTiltDirection | ( |  | ) | const

BYTE H281_Frame::GetTimeout | ( |  | ) | const

VideoMode H281_Frame::GetVideoMode | ( |  | ) | const

BYTE H281_Frame::GetVideoSourceNumber | ( |  | ) | const

ZoomDirection H281_Frame::GetZoomDirection | ( |  | ) | const

void H281_Frame::SetFocusDirection | ( | FocusDirection | direction | ) |

void H281_Frame::SetPanDirection | ( | PanDirection | direction | ) |

void H281_Frame::SetPresetNumber | ( | BYTE | presetNumber | ) |

void H281_Frame::SetRequestType | ( | RequestType | requestType | ) |

void H281_Frame::SetTiltDirection | ( | TiltDirection | direction | ) |

void H281_Frame::SetTimeout | ( | BYTE | timeout | ) |

void H281_Frame::SetVideoMode | ( | VideoMode | videoMode | ) |

void H281_Frame::SetVideoSourceNumber | ( | BYTE | videoSourceNumber | ) |

void H281_Frame::SetZoomDirection | ( | ZoomDirection | direction | ) |

The documentation for this class was generated from the following file:

- h281.h